﻿@{
    ViewBag.Title = "Dashboard";
    ViewBag.SubTitle = "";
    Layout = "~/Views/Shared/_FixedLayout.cshtml";
}

<link href="~/Content/plugins/datatables/css/dataTables.bootstrap.css" rel="stylesheet" />
<script src="~/Content/plugins/datatables/js/jquery.dataTables.min.js"></script>
<script src="~/Content/plugins/datatables/js/jquery.dataTables.columnFilter.js"></script>
<script src="~/Content/plugins/datatables/js/dataTables.bootstrap.js"></script>

<script src="~/Content/plugins/canvas/jquery.canvasjs.min.js"></script>
<script src="~/Content/plugins/canvas/jquery-1.11.1.min.js"></script>

<link href="~/Content/plugins/kendo/styles/kendo.common.min.css" rel="stylesheet">
<link href="~/Content/plugins/kendo/styles/kendo.rtl.min.css" rel="stylesheet">
<link href="~/Content/plugins/kendo/styles/kendo.default.min.css" rel="stylesheet">
<link href="~/Content/plugins/kendo/styles/kendo.default.mobile.min.css" rel="stylesheet">
<script src="~/Content/plugins/kendo/js/kendo.all.min.js"></script>


<script type="text/javascript" src="~/Content/plugins/bubblechart/loader.js"></script>

<!DOCTYPE html>
<html>
<head>

    <!--Bubble Chart 1-->
    <script>
        function createChart() {
            $("#risk_map1").kendoChart({
                title: {
                    text: "Risk Map 2018",
                    font: "bold 25px sans-serif"
                },
                chartArea: {
                    background: "#F9F9F9"
                },
                legend: {
                    position: "bottom"
                },
                seriesDefaults: {
                    type: "bubble"
                },
                series: [
                {
                    name: "Low",
                    color: "green",
                    labels: {
                        visible: true,
                        format: "{3}",
                        color: "white"
                    },
                    data: [{
                        x: 10,
                        y: 20,
                        size: 10,
                        category: "Risk 1",

                    }, {
                        x: 10,
                        y: 50,
                        size: 10,
                        category: "Risk 2",

                    }, {
                        x: 20,
                        y: 70,
                        size: 10,
                        category: "Risk 3",

                    }, {
                        x: 40,
                        y: 10,
                        size: 10,
                        category: "Risk 4",

                    }]
                },
                {
                    name: "Medium",
                    color: "#F7B731",
                    labels: {
                        visible: true,
                        format: "{3}",
                        color: "white"
                    },
                    data: [{
                        x: 30,
                        y: 90,
                        size: 10,
                        category: "Risk 5"

                    }, {
                        x: 60,
                        y: 60,
                        size: 10,
                        category: "Risk 6"
                    }]
                }, {
                    name: "High",
                    color: "red",
                    labels: {
                        visible: true,
                        format: "{3}",
                        color: "white"
                    },
                    data: [{
                        x: 70,
                        y: 85,
                        size: 10,
                        category: "Risk 7"
                    }, {
                        x: 80,
                        y: 70,
                        size: 10,
                        category: "Risk 8"
                    }, {
                        x: 90,
                        y: 10,
                        size: 10,
                        category: "Risk 9"
                    }]
                }],
                xAxis: {
                    title: {
                        text: "Impact"
                    },
                    labels: {
                        format: "{0:N0}",
                        skip: 1
                    },
                    majorUnit: 20,
                    line: {
                        width: 1
                    },
                    max: 100

                },
                yAxis: {
                    title: {
                        text: "Probability"
                    },
                    labels: {
                        format: "{0:N0}"
                    },
                    majorUnit: 20,
                    line: {
                        width: 1
                    },
                    max: 100
                },
                tooltip: {
                    visible: true,
                    format: "Probability : {1:N0} <br/> Impact : {0:N0}",
                    opacity: 1
                }
            });
        }

        $(document).ready(createChart);
        $(document).bind("kendo:skinChange", createChart);
    </script>
    <style>
        .demo-section {
            position: relative;
        }

            .demo-section ul {
                font-size: 11px;
                margin: 63px 30px 0 0;
                padding: 30px;
                position: absolute;
                right: 0;
                top: 0;
                text-transform: uppercase;
                width: 146px;
                height: 94px;
            }
    </style>
    <!---->
    <!--Pie Chart-->
    <script>
        function createPieChart() {
            $("#piechart").kendoChart({
                title: {
                    text: "Control Effectiveness"
                    ,font: "bold 20px sans-serif"
                },
                chartArea: {
                    background: "#F9F9F9"
                },
                legend: {
                    position: "bottom"
                },
                seriesDefaults: {
                    labels: {
                        template: "#= category # - #= kendo.format('{0:P}', percentage)#",
                        position: "outsideEnd",
                        visible: true,
                        background: "transparent"
                    }
                },
                series: [{
                    type: "pie",
                    data: [{
                        category: "Moderate",
                        value: 35
                    }, {
                        category: "Effective",
                        value: 45
                    }, {
                        category: "Weak",
                        value: 20
                    }]
                }],
                tooltip: {
                    visible: true,
                    template: "#= category # - #= kendo.format('{0:P}', percentage) #"
                }
            });
        }

        function refresh() {
            var chart = $("#piechart").data("kendoChart"),
                pieSeries = chart.options.series[0],
                labels = $("#labels").prop("checked"),
                alignInputs = $("input[name='alignType']"),
                alignLabels = alignInputs.filter(":checked").val();

            chart.options.transitions = false;
            pieSeries.labels.visible = labels;
            pieSeries.labels.align = alignLabels;

            alignInputs.attr("disabled", !labels);

            chart.refresh();
        }

        $(document).ready(createPieChart);
        $(document).bind("kendo:skinChange", createChart);

    </script>
    <!---->
    
    <!--Bar Chart-->
    <script>
        function createBarChart() {
            $("#barchart").kendoChart({
                title: {
                    text: "Control Mapping",
                    font: "bold 20px sans-serif"
                },
                chartArea: {
                    background: "#F9F9F9"
                },
                legend: {
                    position: "bottom"
                },
                seriesDefaults: {
                    type: "column"
                },
                series: [{
                    categories: "Mapping 1",
                    name: "Mapping 1",
                    data: [20]
                }, {
                    categories: "Mapping 2",
                    name: "Mapping 2",
                    data: [40]
                }, {
                    categories: "Mapping 3",
                    name: "Mapping 3",
                    data: [30]
                }, {
                    categories: "Mapping 4",
                    name: "Mapping 4",
                    data: [70]
                }],
                valueAxis: {
                    labels: {
                        format: "{0}%"
                    },
                    line: {
                        visible: false
                    },
                    axisCrossingValue: 0
                },
                categoryAxis: {
                    line: {
                        visible: false
                    },
                    labels: {
                        padding: { top: 135 }
                    }
                },
                tooltip: {
                    visible: true,
                    format: "{0}%",
                    template: "#= series.name #: #= value # %"
                }
            });
        }

        $(document).ready(createBarChart);
        $(document).bind("kendo:skinChange", createChart);
    </script>
    <!---->
   
</head>
<body>


    <div class="row">
        <div class="col-sm-12">
            <div id="risk_map1"></div>
        </div>
    </div>
   &nbsp;
    <div class="row">
        <div class="col-sm-6">
            <div id="barchart"></div>
        </div>
        <div class="col-sm-6">
            <div id="piechart"></div>
        </div>
    </div>
    
    <script type="text/javascript" src="~/Content/plugins/canvas/jquery.canvasjs.min.js"></script>
    @*<script type="text/javascript" src="~/Content/plugins/canvas/jquery-1.11.1.min.js"></script>*@
</body>
</html>